'use strict';

const generateControllers = require('../../core/controllers');
const entityService = require('./entity.service');
const { extractParamsFromRequest, handleErrorResponse, handleResultResponse } = require('../../helpers/controller.helper');

// Module Name
const MODULE_NAME = '[entity.controller]';

const controllerOptions = { MODULE_NAME };
const extraControllers = {
};

module.exports = generateControllers(entityService, extraControllers, controllerOptions);

